import { request } from '/@/utils/service';


const apiPrefix = '/api/cms/sku-brand/';

export function getTableData(query: any) {
  return request({
    url: '/api/cms/sku/',
    method: 'GET',
    params: query
  });
}

export function getBrandOptions() {
  return request({
    url: apiPrefix + 'select/',
    method: 'GET',
  });
}

export function getKindOptions() {
  return request({
    url: '/api/cms/sku_kind/dictionary/',
    method: 'GET',
  });
}

export function deleteRow(query: any) {
  return request({
    url: '/api/cms/sku/' + query + '/',
    method: 'DELETE',
    params: query
  });
}

export function updateRow(query: any) {
  return request({
    url: apiPrefix + query.id + '/',
    method: 'PUT',
    data: query
  });
}

export function createAttr(data:any) {
  return request({
    url: apiPrefix,
    method: 'post',
    data: data
  })
}

